package com.rera.mss.payload

data class MonitoredAreaListDto(val monitoredAreas: Set<MonitoredAreaDto>, val availablePvPanels: Set<PvPanelDto>)

data class MonitoredAreaDto(
        val id: Long,
        val instrumentId: Long?,
        val inverterId: Long?,
        val description: String,
        val pvAreas: Set<PvAreaDto>
)

data class InsInvMonitoredAreaDto(
        val id: Long,
        val description: String
)

data class PvAreaDto(
        val id: Long,
        val area: Float,
        val altitude: Float,
        val tilt: Float,
        val direction: Float,
        val pvPanel: PvPanelDto?
)

data class PvPanelDto(
        val id: Long,
        val code: String,
        val efficiency: Float,
        val manufacturer: String,
        val material: String
)